Subject: Re: [GIT PULL] refs/notes/amlog from git/git

From: "Kristoffer Haugsbakk" <[email-masked]>
Date: Thu, 04 Dec 2025 11:07:45 +0100

On Fri, Sep 20, 2024, at 19:31, Kristoffer Haugsbakk wrote:
> Hi
>
> I have noticed (a couple of times now) that I’ve used the stale ‘amlog’
> at the GitHub mirror. Maybe there was a temporary maintainer at the time
> (see the bulk of the commits).
>
> I merged git/git’s ‘amlog’ into gitster/git’s ‘amlog’. That adds 193 new
> notes on commits that are reachable for me (presumably all on ‘master’).
>
> PS: git/git’s ‘amlog’ could be deleted after this is merged to avoid
> accidental stale fetches.
>
> ---
>
> The following changes since commit [no common base; unrelated histories
> (squash: cd046fc8b70 (amlog, 2022-10-23))]
>
> are available in the Git repository at:
>
>   https://github.com/git/git refs/notes/amlog
>
> for you to fetch changes up to d3d558e9824282479562a721e2a2a1cbbcf7c016:
>
>   Notes added by 'git notes add' (2022-11-18 18:30:49 -0500)
>
> ----------------------------------------------------------------
> John Cai (1):
>       Notes added by 'git commit --amend'
>
> Junio C Hamano (31):
>       amlog
>       Notes added by 'git notes add'
>       […]
>
> Taylor Blau (588):
>       Notes added by 'git notes add'
>       […]

I see now that all of Taylor’s amlog entries are in `refs/notes/amlog`
for gitster/git (at 6b6c4b3fb846382a93fc1c94747a90cbe1b5e833). So this
is irrelevant.